#!/usr/bin/perl

print "List Generator for Disabling Auto User Creation\n\n";


@users = `p4 users -m 100 | cut -d " " -f 1`;
$org_group = `p4 group -o allusers`;

$group_list = strip_whitespace($org_group);

foreach my $user (@users) {
	print "Adding User: \"" . strip_whitespace($user) . "\" to \"allusers\" Group\n";
	$group_list .= "\t" . strip_whitespace($user) . "\n"; 
}

#print $group_list;


# Functions Subsection

sub strip_whitespace {
	my($string) = @_;
	$string =~ s/^\s+//;
	$string =~ s/\s+$//;
	return $string;
}

